Name:           gtk-sharp
Version:        1.0.10
Release:        6.1
Summary:        GTK+ and GNOME bindings for Mono

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtk-sharp.sf.net
Source0:        gtk-sharp-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel libxml2-devel gtk2-devel libart_lgpl-devel gnome-vfs2-devel libgnomecanvas-devel libgnomeui-devel
BuildRequires:  libglade2-devel librsvg2-devel gtkhtml3-devel vte-devel 
BuildRequires:  libgnomeprintui22-devel

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc
# no mono on s390 for now: s390 s390x 

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk, libgnome, libgnomeui and libgnomecanvas. Gtk#
1.x binds GTK+ 2.2.

%package gapi
Group:        Development/Languages
Summary:      Glib and GObject C source parser and C generator for the creation and maintenance of managed bindings for Mono and .NET
Requires:     perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description gapi
This package provides developer tools for the creation and
maintainance of managed bindings to native libraries which utilize
glib and GObject. Some examples of libraries currently bound using
the GAPI tools and found in Gtk# include Gtk, Atk, Pango, Gdk,
libgnome, libgnomeui and libgnomecanvas.

%prep
%setup -n gtk-sharp-%{version}

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --disable-gda --disable-gnomedb
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp /gacdir %{_prefix}/lib /root ${RPM_BUILD_ROOT}%{_prefix}/lib"
rm $RPM_BUILD_ROOT%{_libdir}/*.*a


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/gconfsharp*
%{_libdir}/*.so
%{_prefix}/lib/mono/gac
%{_prefix}/lib/mono/gtk-sharp
%{_libdir}/pkgconfig/*-sharp.pc

%files gapi
%defattr(-,root,root,-)
%{_bindir}/gapi*
%{_libdir}/pkgconfig/gapi.pc
%{_prefix}/share/gapi

%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri Jun  9 2006 Alexander Larsson <alexl@redhat.com> - 1.0.10-6
- Disable s390* for now as mono doesn't build there

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 1.0.10-5
- Rebuild

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> 1.0.10-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Alexander Larsson <alexl@redhat.com> 1.0.10-4
- mono now builds on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> 1.0.10-3
- Add s390

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.0.10-2
- rebuils

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 2.4.0-1
- Initial version
